### Method

# Gio FilenameCompleter get_completions

#### Declaration [src]

    char**
    g_filename_completer_get_completions (
      GFilenameCompleter* completer,
      const char* initial_text
    )

#### Description [src]

Gets an array of completion strings for a given initial text.

#### Parameters

`initial_text`

  Type: `const char*`

  Text to be completed.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: An array of `utf8`

Array of strings with possible completions for `initial_text`. This array must be freed by `g_strfreev()` when finished.

The array is `NULL`-terminated.
The caller of the method takes ownership of the returned data, and is responsible for freeing it.
Each element is a NUL terminated UTF-8 string.